import numpy as np
import scipy.stats as ss
import matplotlib.pyplot as plt
import seaborn as sb
import pickle
import arviz as az
 
with open('fits.pkl', 'rb') as f:
    fits = pickle.load(f)
    
for fit in fits: 
    sb.kdeplot(fit[0])
plt.xlabel('$r$', fontsize = 18)
plt.title('$N = ${0}'.format(5), fontsize = 20)
plt.savefig('FigPosts.png')
plt.show()

p_pos = []
p_neg = []
for fit in fits:
    cnt_pos = [1 if v > 0 else 0 for v in fit[0]]
    cnt_neg = [1 if v < 0 else 0 for v in fit[0]]
    p_pos.append(sum(cnt_pos) / len(cnt_pos))
    p_neg.append(sum(cnt_neg) / len(cnt_neg))

plt.hist(p_pos, color = 'y', alpha = 0.5, label = 'Pos')
plt.hist(p_neg, color = 'b', alpha = 0.5, label = 'Neg')
plt.xlabel('Probability', fontsize = 16)
plt.legend()
plt.savefig('FigHists.png')
plt.show()
